@media only screen and (max-width: 768px) {

    #story3 {
        background-position: center;
        min-height: auto;
        padding: 60px 20px;
        display: block;
        text-align: center;
    }

    #story3 h2 {
        font-size: 1.8rem;
        margin-bottom: 15px;
    }

    #story3 p {
        font-size: 14px;
        margin-bottom: 15px;
        text-align: left;
    }

    #story3 .lead {
        font-size: 16px;
        margin-bottom: 15px;
    }

    #story3 .btn-warning {
        font-size: 14px;
        padding: 15px 20px;
        width: 80%;
    }

    #story3 .d-flex {
        flex-direction: row;
    }

    /* Ajustando as colunas para 12 colunas no mobile */
    #story3 .col-8 {
        width: 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }

    /* Ajustes nas Logos de Formação */
    .logo-container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        width: 50%;
        margin-bottom: 0px;
    }

    .logo-container img {
        max-width: 90px;
        margin: 10px;
    }

    /* Ajustes nas Logos para exibir 2 por linha */
    #story3 .logos {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    #story3 .logos a {
        flex: 1 1 45%;
        /* Cada logo ocupa cerca de 45% da largura, permitindo 2 por linha */
        margin: 5px;
        text-align: center;
    }

    #story3 .logos img {
        max-width: 100px;
        margin: 5px;
    }

    #story3 .logos img:hover {
        transform: scale(1.05);
        opacity: 1;
    }
}